from django.urls import path, include
from rest_framework.routers import DefaultRouter
# Importējam jauno 'ProjectViewSet' (nevis veco ProjektsList)
from .views import ProjectViewSet, TaskViewSet, AgentaZinaViewSet

# Izveidojam automātisko maršrutētāju
router = DefaultRouter()
# Reģistrējam mūsu projektu skatu. 
router.register(r'tasks', TaskViewSet, basename='tasks')
router.register(r'messages', AgentaZinaViewSet, basename='messages')
router.register(r'', ProjectViewSet, basename='projects')

urlpatterns = [
    path('', include(router.urls)),
]